#!/bin/sh

doOptional=false
useDebianSource=false

. ./build-env.sh

lxmmmkb=`echo ${lxdebkb} | cut -d '.' -f 1-2`

if [ ! -e linux-nas5xx-${lxmmmkb}.y ]; then
  git clone -b nas5xx-${lxmmmkb}.y https://github.com/scpcom/linux linux-nas5xx-${lxmmmkb}.y
fi

echo "Copying files from linux-nas5xx-${lxmmmkb}.y git..."
mkdir linux && \
cp -apP linux-nas5xx-${lxmmmkb}.y/. linux/ && \
cd linux

if [ -e ../patches/series-nas5xx ]; then
  mkdir -p patches
  mkdir -p patches/platform

  for f in `cat ../patches/series-nas5xx | grep -E '^platform/' | cut -d / -f 2-` ; do
    cp -p ../patches/${f} patches/platform/
  done

  cat ../patches/series-nas5xx >> patches/series

  #cp -p ../patches/stmmac_platform_mac_addr_set.patch patches/
  #echo "stmmac_platform_mac_addr_set.patch" >> patches/series

  quilt push -a
fi

#cp -p ../patches/*_defconfig arch/arm/configs/

echo OK
